
<html>
  <head>
    <title>Adding list</title>
    <style>
      li{
        padding: 10px;
      }
    </style>
  </head>
  <body>

  <!-- UI -->

  <input type="text" class="form-control" id="filter" placeholder="Search Items..."><br><br>
  <input type="text" id="name" placeholder="Add Items..."> 
  <button onclick="Submit()">Submit</button>

    <ul id="users">

    </ul>
    <script>
        const nameInput = document.querySelector('#name');
        const userList = document.querySelector('#users');
        var filter = document.getElementById('filter');

        filter.addEventListener('keyup', filterItems);
        userList.addEventListener('click', removeItem);

        function Submit() {

          // Creating delete button

          var deleteBTN = document.createElement('button');
          deleteBTN.innerHTML = "Delete";
            const li = document.createElement('li');
            var ele = document.createTextNode(nameInput.value + " ");
            li.appendChild(ele);
            li.appendChild(deleteBTN);
            userList.appendChild(li);
            nameInput.value = '';
        }

        // Removing item

            function removeItem(e){
          var li = e.target.parentElement;
          userList.removeChild(li);
        }

        // Filtering list items

        
        function filterItems(e){

  var text = e.target.value.toLowerCase();

  var items = userList.getElementsByTagName('li');

  Array.from(items).forEach(function(item){
    var userList = item.firstChild.textContent;
    if(userList.toLowerCase().indexOf(text) != -1){
      item.style.display = 'block';
    } else {
      item.style.display = 'none';
    }
  });
}
    </script>
  </body>
</html>




